<?php

//Title Area
function alvida_title_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                              
            'sec_title' => 'Our Skills',                                       
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                       
            'select_color' => '',                                       
                                      
                                      
		), $atts )
    );
ob_start();

?>

	<div class="section-title text-center">
		<h2 class="<?php if($select_color == 'white_color'){ echo esc_attr('section-title-white');}?>"><?php echo esc_html($sec_title);?></h2>
		<span class="<?php if($select_color == 'white_color'){ echo esc_attr('section-title-white-span');}?>"></span>
		<p class="<?php if($select_color == 'white_color'){ echo esc_attr('section-title-white');}?>"><?php echo alvida_wp_kses($sec_subtitle);?></p>
	</div>	
		
<?php 
  return ob_get_clean();
}
add_shortcode ('title_area', 'alvida_title_area' );

//About Area
function alvida_about_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                 
            'sec_title' => 'About us',                   
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                   
            'number_of_post' => '4',                   
               

		), $atts )
    );
ob_start();

?>

<!-- START ABOUT -->
<section id="about" class="about-us section-padding">
	<div class="container-fluid">
		<div class="row text-center">
			<div class="section-title">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>

			<?php
					// WP_Query arguments
					$args = array(
						'post_type'              => array( 'about' ),
						'posts_per_page'         => $number_of_post,
					);

					// The Query
					$about_query = new WP_Query( $args );

					// The Loop
					if ( $about_query->have_posts() ) {
						while ( $about_query->have_posts() ) {
							$about_query->the_post();
							$alvida_about_icon = get_post_meta(get_the_ID(),'_alvida_cmb2_about_us_icon', true);
							$alvida_cmb2_about_us_box_color = get_post_meta(get_the_ID(),'_alvida_cmb2_about_us_box_color', true);
										
							?>
							<div class="col-md-3 col-sm-3 col-xs-12 no-padding">
								<div class="about_single <?php echo esc_attr($alvida_cmb2_about_us_box_color);?>">
									<i class="<?php echo esc_attr($alvida_about_icon);?>"></i>
									<h4><?php the_title();?></h4>
									<span></span>
									<p><?php the_content();?></p>
								</div>
							</div><!--- END COL -->							
							<?php
						}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();
			?>			
			

			
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->
</section>		
<!-- END ABOUT -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('about_area', 'alvida_about_area' );

//Features  Area
function alvida_features_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                 
            'sec_title' => 'Awesome Features',                   
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                   
            'number_of_post' => '4',                                                   

		), $atts )
    );
ob_start();

?>

<!-- START FEATURES -->
<section class="template_feature section-padding">
	<div class="container-fluid">
		<div class="row text-center">
			<div class="section-title text-center">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>	
			
			<?php

				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'features' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$feature_query = new WP_Query( $args );

				// The Loop
				if ( $feature_query->have_posts() ) {
					while ( $feature_query->have_posts() ) {
						$feature_query->the_post();
						$alvida_feat_icon = get_post_meta(get_the_ID(),'_alvida_features_icon', true);
							
						?>
						
						<div class="col-md-3 col-sm-3 col-xs-12 no-padding">
							<div class="single_feature">
								<i class="<?php echo esc_attr($alvida_feat_icon);?>"></i>
								<h4><?php the_title();?></h4>
								<p><?php the_content();?></p>
							</div>
						</div><!-- END COL -->
						
						<?php
					}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>			

			
		</div><!-- END ROW -->
	</div><!-- END CONTAINER -->
</section>
<!-- END FEATURES -->	
		
<?php 
  return ob_get_clean();
}
add_shortcode ('features_area', 'alvida_features_area' );

//SERVICE Area
function alvida_service_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                 
            'section_title' => 'Our best service',                                                                                                      
            'section_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                                                                                      
            'section_image' => '',                                                                                                      

		), $atts )
    );
ob_start();
$section_image = wp_get_attachment_image_src($section_image,'');
?>

<!-- START SERVICES -->
<section id="service" class="our_services section-padding" style="background-image: url(<?php echo esc_url($section_image[0]);?>); background-size:cover; background-position: center center;background-attachment:fixed">
   <div class="container">
		<div class="row text-center">
			<div class="section-title text-center">
				<h2 class="section-title-white"><?php echo esc_html($section_title);?></h2>
				<span class="section-title-white-span"></span>
				<p class="section-title-white"><?php echo alvida_wp_kses($section_subtitle);?></p>
			</div>
			
			<div id="service__carousel" class="carousel slide">

			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'service' ),
					'posts_per_page'         => '4',
				);

				// The Query
				$service_query = new WP_Query( $args );

				// The Loop
				if ( $service_query->have_posts() ) {
					while ( $service_query->have_posts() ) {
						$service_query->the_post();
						$alvida_service_icon = get_post_meta(get_the_ID(),'_alvida_service_icon', true);
												
						?>
						
						<div class="item">
							<div class="service">
								<div class="icon"><i class="<?php echo esc_attr($alvida_service_icon);?>"></i></div>
								<h4><?php the_title();?></h4>
								<p><?php the_content();?></p>
							</div>
						</div><!-- END ITEM -->		
						
						<?php
					}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();			
			?>


			</div>
		</div><!-- END ROW -->
	</div><!-- END CONTAINER -->
</section>
<!-- END SERVICES -->
<?php 
  return ob_get_clean();
}
add_shortcode ('service_area', 'alvida_service_area' );



//Work Area
function alvida_work_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title' => 'Our Great Works',                   
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',     
            'sec_btn_text' => 'See More',    
            'sec_btn_link' => '#',    
		), $atts )
    );
ob_start();
?>

<!-- START WORKS -->
<section id="portfolio" class="works_area section-padding">		
	<div class="container">
		<div class="row text-center">
			<div class="section-title text-center">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>
			<div class="col-md-12">
				<div class="our_work_menu">
					<?php $terms = get_terms('cat_portfolios');
						if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
					?>
					<ul>
						<li class="filter wow fadeIn" data-wow-dualvidan="1.5s" data-wow-delay=".25s" data-filter="all"><?php esc_html_e('All' , 'alvida');?></li>
						<?php foreach ( $terms as $term ) :?>
						<li class="filter" data-filter=".<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></li>
						<?php endforeach;?>
					</ul>
					<?php }?>
				</div>				
			</div><!--- END COL -->
			
			<div class="work_all_item">

		<?php 
	
		// WP_Query arguments
		$args = array (
			'post_type'              => array( 'portfolios' ),
			'posts_per_page'		=> -1,
		);

		// The Query
		$alvida_port_query = new WP_Query( $args );

		// The Loop
		if ( $alvida_port_query->have_posts() ) {
			while ( $alvida_port_query->have_posts() ) {
				$alvida_port_query->the_post(); 
				$alvida_port_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'alvida_image_770_510');

					$portfolio_terms = get_the_terms(get_the_id(), 'cat_portfolios');
					
					if ( ! empty( $portfolio_terms ) && ! is_wp_error( $portfolio_terms ) ):
						
						$portfolios_cat_slug = array();
						
						foreach($portfolio_terms as $portfolio_term){
							$portfolios_cat_slug[] = $portfolio_term->slug ;
						}
						
						$portfolios_cat_array = join(" ", $portfolios_cat_slug);
						$portfolios_class_array = join(" ", $portfolios_cat_slug);
					endif;
				?>			

				<div class="grid-item col-md-4 col-sm-4 col-xs-12 mix all <?php echo esc_attr($portfolios_class_array);?>">
					<div class="single_our_work">
						<div class="sing_work_photo">
							<figure>								
								<img src="<?php echo esc_url($alvida_port_image['0']);?>" alt="">
								<div class="sing_work_text_link">
									<div class="sing_work_content_wrap">
										<div class="sing_work_content">
											<h4><?php the_title();?></h4>				
                      
										<?php $terms = get_the_terms(get_the_ID(), 'cat_portfolios');
												if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
													foreach ( $terms as $term ) {
											?>
											<p><?php echo esc_html($term->name); ?></p>
										
											<?php
													}
											} ?>												
																				
											<div class="sing_link_img">
												<a href="<?php echo esc_url($alvida_port_image['0']);?>" class="lightbox search" data-gall="gall-work"><i class="fa fa-eye"></i></a>
												<a href="<?php the_permalink();?>" class="link"><i class="fa fa-link"></i></a>
											</div>	
										</div>
									</div>
								</div>	
							</figure>
						</div>				
					</div>
				</div>
					
		
		<?php	}
		} else {
			// no posts found
		}

		// Restore original Post Data
		wp_reset_postdata();			
	
	?>
			
			</div><!--- END WORK ALL ITEM -->				
		</div><!--- END ROW -->
		<?php if($sec_btn_link){ ?>
			<div class="portfolio_btn text-center">
				<a href="<?php echo esc_url($sec_btn_link);?>" class="btn-portfolio-bg"><?php echo esc_html($sec_btn_text);?></a>
			</div>
		<?php } ?>
	</div><!--- END CONTAINER-FLUID -->			
</section>
<!-- END WORKS -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('work_area', 'alvida_work_area' );

//Testimonials Area
function alvida_testimonials_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title' => 'What our clients say',                                       
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                       
		), $atts )
    );
ob_start();
?>

<!-- START TESTIMONIAL -->
<section id="testimonial" class="section-padding">
	<div class="container">
		<div class="row text-center">
			<div class="section-title text-center">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>
		</div><!--- END ROW -->
		<div class="row text-center">
			<div class="col-md-10 col-md-offset-1 col-sm-12 col-xs-12">
				<div id="testi__carousel">
						<?php
							// WP_Query arguments
							$args = array(
								'post_type'              => array( 'testimonials' ),
								'posts_per_page'         => -1,
							);

							// The Query
							$testimonials_query = new WP_Query( $args );

							// The Loop
							if ( $testimonials_query->have_posts() ) {
								while ( $testimonials_query->have_posts() ) {
									$testimonials_query->the_post();
									$alvida_test_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'alvida_image_200_200');
									$alvida_testimonials_designation = get_post_meta(get_the_ID(),'_alvida_testimonials_designation', true);
						
								?>
									
									  <div class="item">
										<div class="cover-container">
											<div class="single_testimonial">
											  <img src="<?php echo esc_url($alvida_test_image[0]);?>" alt="" />
											  <h3><?php the_title();?></h3>
											  <h4><?php echo esc_html($alvida_testimonials_designation);?></h4>
											  <p><?php the_content();?></p>
											</div>
										</div>
									  </div><!--- END ITEM -->									
									<?php

								}
							} else {
								// no posts found
							}

							// Restore original Post Data
							wp_reset_postdata();
						?>				

				</div>
			</div>
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->
</section>
<!-- END TESTIMONIAL -->

<?php 
  return ob_get_clean();
}
add_shortcode ('testimonials_area', 'alvida_testimonials_area' );

//Counter Area
function alvida_counter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
                                      
		), $atts )
    );
ob_start();

?>


<!-- START COUNDOWN --> 
<section class="counter_feature">
	<div class="container">
		<div class="row text-center">
			<?php echo do_shortcode($content);?>
	  </div><!--- END ROW -->
   </div><!--- END CONTAINER -->
</section>
<!-- END COUNDOWN -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('counter_area', 'alvida_counter_area' );

//Counter Item
function alvida_counter_item( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_icon' => 'fa fa-check',                                                                                                                 
            'sec_text' => 'Satisfied Clients',                                                                                                                 
            'sec_number' => '2000',                                                                                                                 
		), $atts )
    );
ob_start();

?>


	<div class="col-md-3 col-sm-6 col-xs-12 wow fadeInLeft" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
		<div class="counter counter-right">
			<i class="<?php echo esc_attr($sec_icon);?>"></i>
			<h2 class="timer"><?php echo esc_html($sec_number);?></h2> 
			<h5><?php echo esc_html($sec_text);?></h5>
		</div>
	</div> <!--- END COL --> 
		
<?php 
  return ob_get_clean();
}
add_shortcode ('counter_item', 'alvida_counter_item' );

//Team Area
function alvida_team_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title' => 'Our Lovely team',                   
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                       
            'number_of_post' => '4',                                       
                                      
		), $atts )
    );
ob_start();

?>


<!-- START TEAM -->
<section id="team" class="section-padding">
	<div class="container">
		<div class="row">
			<div class="section-title text-center">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>	

		<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'team' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$alvida_team_query = new WP_Query( $args );

				// The Loop
				if ( $alvida_team_query->have_posts() ) {
					while ( $alvida_team_query->have_posts() ) {
						$alvida_team_query->the_post(); 
						$alvida_team_designation = get_post_meta(get_the_ID(),'_alvida_team_designation', true);
						$alvida_team_group_field_opt = get_post_meta(get_the_ID(),'_alvida_team_group_field_opt', true); 
						$alvida_team_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'alvida_image_870_984');
						?>
						
						<div class="col-md-3 col-sm-6 wow fadeIn" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
							<div class="single_team">
								<div class="team_img">
									<img src="<?php echo esc_url($alvida_team_image[0]);?>" class="img-responsive" alt="" />
								</div>
								
								<div class="team_text">
									<div class="team_text_inner">
										<h4><?php the_title();?></h4>
										<p><?php echo esc_html($alvida_team_designation);?></p>
										<ul class="social">
											<?php
												foreach ( (array) $alvida_team_group_field_opt as $key => $team_entry ) {

													$social_icon = $social_link = $social_color = '';

													if ( isset( $team_entry['_alvida_social_icon'] ) )
														$social_icon = $team_entry['_alvida_social_icon'];	

													if ( isset( $team_entry['_alvida_social_link'] ) )
														$social_link = $team_entry['_alvida_social_link'];	
 
                          	if ( isset( $team_entry['_alvida_team_sbg_color'] ) )
														$social_color = $team_entry['_alvida_team_sbg_color'];

													?>
													
														<li><a href="<?php echo esc_url($social_link);?>"><i class="fa <?php echo esc_attr($social_icon);?>" style="background: <?php echo esc_attr($social_color);?>;"></i></a></li>		
												
												<?php } ?>										

										</ul>
									</div>
								</div>
							</div>						
						</div><!--- END COL -->
			
						
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>			
																
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->
</section>
<!-- END TEAM -->		
		
<?php 
  return ob_get_clean();
}
add_shortcode ('team_area', 'alvida_team_area' );


//Progress Bar Area
function alvida_progress_bar_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_text' => 'Branding',                                                        
            'sec_number' => '90',                                                        
                                      
		), $atts )
    );
ob_start();

?>

		<div class="progress-bar-linear">
			<p class="progress-bar-text"><?php echo esc_html($sec_text);?>
				<span><?php echo esc_html($sec_number);?><?php esc_html_e('/100' , 'alvida');?></span>
			</p>
			<div class="progress-bar">
				<span data-percent="<?php echo esc_html($sec_number);?>"></span>
			</div>
		</div>
		
<?php 
  return ob_get_clean();
}
add_shortcode ('progress_bar_area', 'alvida_progress_bar_area' );


//Pricing Area
function alvida_pricing_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
			'sec_title' => 'Our Pricing',                                                        
			'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                                        
			'sec_number_post' => '4',                                                        
                                      
		), $atts )
    );
ob_start();

?>

<!-- START PRICING -->
<section id="pricing" class="pricing-section section-padding">
	<div class="container">
		<div class="row text-center">
			<div class="section-title">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>	

			<?php
			// WP_Query arguments
			$args = array(
				'post_type'              => array( 'pricing' ),
				'posts_per_page'         => $sec_number_post,
			);

			// The Query
			$pricing_query = new WP_Query( $args );

			// The Loop
			if ( $pricing_query->have_posts() ) {
				while ( $pricing_query->have_posts() ) {
					$pricing_query->the_post();
					$alvida_pricing_currency = get_post_meta(get_the_ID(),'_alvida_pricing_currency', true);
					$alvida_pricing_amount = get_post_meta(get_the_ID(),'_alvida_pricing_amount', true);
					$alvida_pricing_period = get_post_meta(get_the_ID(),'_alvida_pricing_period', true);
					$alvida_pricing_group_field_opt = get_post_meta(get_the_ID(),'_alvida_pricing_group_field_opt', true);
					$alvida_pricing_btn_text = get_post_meta(get_the_ID(),'_alvida_pricing_btn_text', true);
					$alvida_pricing_btn_link = get_post_meta(get_the_ID(),'_alvida_pricing_btn_link', true);
					
					?>
					
						<div class="col-sm-3">
							<div class="pricing-table-default">
								<div class="pricing-head">
									<h3><?php the_title();?></h3>
									<span class="price"><sup><?php echo esc_html($alvida_pricing_currency);?></sup><span class="price-digit"><?php echo esc_html($alvida_pricing_amount);?></span><br><?php echo esc_html($alvida_pricing_period);?></span>
								</div>
								<div class="pricing-detail">
									<ul class="pricing-list ">
									<?php
										foreach ( (array) $alvida_pricing_group_field_opt as $key => $pricing_entry ) {

											$single_feature = '';


											if ( isset( $pricing_entry['_alvida_single_feature'] ) )
												$single_feature = $pricing_entry['_alvida_single_feature'];	

											?>
											
												 <li><?php echo esc_html($single_feature);?></li>
										<?php } ?>	
									</ul> 
								</div>
								<a href="<?php echo esc_url($alvida_pricing_btn_link);?>" class="btn btn-default"><?php echo esc_html($alvida_pricing_btn_text);?></a>                  
							</div>
						</div><!--- END COL -->						
					<?php

				}
			} else {
				// no posts found
			}

			// Restore original Post Data
			wp_reset_postdata();
			?>			

			
		
			
		</div><!--- END ROW -->	
	</div><!--- END CONTAINER-->	
</section>
<!-- END PRICING -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('pricing_area', 'alvida_pricing_area' );

//Blog Area
function alvida_blog_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title' => 'Fresh news',                                                                          
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                                                          
            'sec_number_post' => '3',                                                         
                                      
		), $atts )
    );
ob_start();

?>


<!-- START HOME BLOG DESING  -->
<section id="blog" class="latest_blog section-padding">
	<div class="container">
		<div class="row">
			<div class="section-title text-center">
				<h2><?php echo esc_html($sec_title);?></h2>
				<span></span>
				<p><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>	

			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'post' ),
					'posts_per_page'         => $sec_number_post,
				);

				// The Query
				$alvida_blog_query = new WP_Query( $args );

				// The Loop
				if ( $alvida_blog_query->have_posts() ) {
					while ( $alvida_blog_query->have_posts() ) {
						$alvida_blog_query->the_post();
						$alvida_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'alvida_image_1200_800');
														
						?>
						
						
						<div class="col-md-4 col-sm-4 col-xs-12">
							<div class="single_blog">
								<img src="<?php echo esc_url($alvida_blog_image[0]);?>" alt="" class="img-responsive"/>
								<div class="blog-text wow fadeInLeft">
									 <span><i class="fa fa-calendar"></i> <?php echo esc_html(get_the_time('D M'));?></span><span><i class="fa fa-comments-o"></i> <?php comments_popup_link( '0 comments', '1 comment', '% comments', 'comments-link', '0 Comments'); ?></span>
									 <h4><?php the_title();?></h4>
									 <p><?php alvida_readmore_content(21);?></p>
									<a class="btn-blog-bg" href="<?php the_permalink();?>"><?php esc_html_e('Read More' , 'alvida');?></a>
								</div>
							</div><!--- END SINGLE BLOG POST -->
						</div><!--- END COL -->							
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>					

		</div><!--- END ROW -->	
	</div><!--- END CONTAINER-->
</section>
<!-- END HOME BLOG DESING  -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('blog_area', 'alvida_blog_area' );

//Client Area
function alvida_client_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
                                                                              
                                      
		), $atts )
    );
ob_start();

?>

<!-- START COMPANY PARTNER LOGO  -->
<div class="partner-logo section-padding">
	<div class="partner_overlay">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="partner  wow fadeInRight">
						<?php
								// WP_Query arguments
								$args = array(
									'post_type'              => array( 'clients' ),
									'posts_per_page'         => -1,
								);

								// The Query
								$clients_query = new WP_Query( $args );

								// The Loop
								if ( $clients_query->have_posts() ) {
									while ( $clients_query->have_posts() ) {
										$clients_query->the_post();
										$alvida_client_web_url = get_post_meta(get_the_ID(),'_alvida_client_web_url', true);
										$alvida_client_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'alvida_image_210_100');
						
										?>
											<a href="<?php echo esc_url($alvida_client_web_url);?>"><img src="<?php echo esc_url($alvida_client_image[0]);?>" alt=""></a>										
										<?php
									}
								} else {
									// no posts found
								}

								// Restore original Post Data
								wp_reset_postdata();
						?>				
						
					</div>
				</div><!-- END COL  -->
			</div><!--END  ROW  -->
		</div><!-- END CONTAINER  -->
	</div><!-- END OVERLAY -->
</div>
<!-- END COMPANY PARTNER LOGO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('client_area', 'alvida_client_area' );


//Contact Us Area
function alvida_contact_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_bg_img' => '',                                                                                                                                                                                                                                                                                                                              
            'sec_title' => 'Get in touch',                                                                                                                                                                                                                                                                                                                              
            'sec_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                                                                                                                                                                                                                                                                                                              
            'contact_form_shortcode' => '',                                                                                                                                                                                                                                                                                                                              
                                      
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>

<!-- START CONTACT -->
<section id="contact" class="contact_area section-padding" style="background-image: url(<?php echo esc_url($sec_bg_img[0]);?>); background-size:cover; background-position: center center;background-attachment:fixed">
	<div class="container">				
		<div class="row">
			<div class="section-title text-center">
				<h2 class="section-title-white"><?php echo esc_html($sec_title);?></h2>
				<span class="section-title-white-span"></span>
				<p class="section-title-white"><?php echo alvida_wp_kses($sec_subtitle);?></p>
			</div>					
			<div class="col-md-8 col-md-offset-2 col-sm-12 col-xs-12 wow fadeInDown" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
				<div class="contact">
					<div class="form">
						<?php echo do_shortcode($contact_form_shortcode);?>
					</div>
				</div>
			</div><!-- END COL -->
		</div><!--- END ROW -->				
	</div><!--- END CONTAINER -->		
</section>
<!-- END CONTACT  -->
<?php 
  return ob_get_clean();
}
add_shortcode ('contact_us_area', 'alvida_contact_us_area' );

//Contact Info
function alvida_contact_info( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'cont_icon' => 'fa fa-phone',                                                                                                                                                                                                                                                                                                                                
            'cont_content' => '<p>(+1) 740-395-3829</p> <p>(+1) 740-395-3829</p>',                                                                                                                                                                                                                                                                                                                                
                                      
		), $atts )
    );
ob_start();

?>
	<div class="col-md-3 col-sm-6 col-xs-12 text-center">
		<div class="single_address">
			<i class="<?php echo esc_attr($cont_icon);?>"></i>
			<?php echo alvida_wp_kses($cont_content);?>
		</div>
	</div><!-- END COL  -->
<?php 
  return ob_get_clean();
}
add_shortcode ('contact_info', 'alvida_contact_info' );

//Google Map
function alvida_google_map( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'map_api' => 'AIzaSyDwIQh7LGryQdDDi-A603lR8NqiF3R_ycA',                                                                                                                                                                                                                                                                                                                                
            'map_latitude' => '40.7127837',                                                                                                                                                                                                                                                                                                                                
            'map_longitude' => '-74.00594130000002',                                                                                                                                                                                                                                                                                                                                
                                      
		), $atts )
    );
ob_start();

?>
	<!-- map js -->
	<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js($map_api);?>"></script>
	<script>
		function initialize() {
		  var mapOptions = {
			zoom: 15,
			scrollwheel: false,
			center: new google.maps.LatLng(<?php echo esc_js($map_latitude);?>, <?php echo esc_js($map_longitude);?>)
		  };
		  var map = new google.maps.Map(document.getElementById('map'),
			  mapOptions);
		  var marker = new google.maps.Marker({
			position: map.getCenter(),
			icon: '<?php echo esc_url(get_template_directory_uri());?>/assets/img/map_pin.png',
			map: map
		  });
		}
		google.maps.event.addDomListener(window, 'load', initialize);				
	</script>
	<div id="map"></div>
<?php 
  return ob_get_clean();
}
add_shortcode ('google_map', 'alvida_google_map' );


//Shortcode Importer
function alvida_shortcode_importer( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                   
            'enter_shortcode' => '',                                                                              

		), $atts )
    );

	echo do_shortcode($enter_shortcode);
}
add_shortcode ('shortcode_importer', 'alvida_shortcode_importer' );